var entryFactory = require("bpmn-js-properties-panel/lib/factory/EntryFactory"),
  getBusinessObject = require("bpmn-js/lib/util/ModelUtil").getBusinessObject,
  utils = require("bpmn-js-properties-panel/lib/Utils"),
  cmdHelper = require("bpmn-js-properties-panel/lib/helper/CmdHelper");

module.exports = function (group, element, translate, options) {
  if (!options) {
    options = {};
  }

  // Id
  group.entries.push(
    entryFactory.validationAwareTextField(translate, {
      id: options.id || "id",
      label: translate(options.label || "Id"),
      description: options.description && translate(options.description),
      modelProperty: "id",
      getProperty: function (element) {
        return getBusinessObject(element).id;
      },
      setProperty: function (element, properties) {
        element = element.labelTarget || element;

        return cmdHelper.updateProperties(element, properties);
      },
      validate: function (element, values) {
        var idValue = values.id;

        var bo = getBusinessObject(element);

        var idError = utils.isIdValid(bo, idValue, translate);

        return idError ? { id: idError } : {};
      },
    })
  );
};
